<?php

namespace Lc\SovBundle\Factory\User;

use Lc\SovBundle\Container\User\UserContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\UserInterface;

class UserFactory extends AbstractFactory
{
    public function create(): UserInterface
    {

        $class = UserContainer::getEntityFqcn();
        $user = new $class;

        return $user;
    }
}
